CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities Published In January 2001

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2001-1476 2001-01-18 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
SSH before 2.0, with RC4 encryption and the "disallow NULL passwords" option enabled, makes it easier for remote attackers to guess portions of user passwords by replaying user sessions with certain modifications, which trigger different messages depending on whether the guess is correct or not.
2 CVE-2001-1475 2001-01-18 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
SSH before 2.0, when using RC4 and password authentication, allows remote attackers to replay messages until a new server key (VK) is generated.
3 CVE-2001-1474 2001-01-18 2008-09-05
5.0
None Remote Low Not required None Partial None
SSH before 2.0 disables host key checking when connecting to the localhost, which allows remote attackers to silently redirect connections to the localhost by poisoning the client's DNS cache.
4 CVE-2001-1473 310 2001-01-18 2009-03-06
7.5
User Remote Low Not required Partial Partial Partial
The SSH-1 protocol allows remote servers to conduct man-in-the-middle attacks and replay a client challenge response to a target server by creating a Session ID that matches the Session ID of the target, but which uses a public key pair that is weaker than the target's public key, which allows the attacker to compute the corresponding private key and use the target's Session ID with the compromised key pair to masquerade as the target.
5 CVE-2001-1470 2001-01-18 2008-09-05
5.0
None Remote Low Not required None Partial None
The IDEA cipher as implemented by SSH1 does not protect the final block of a message against modification, which allows remote attackers to modify the block without detection by changing its cyclic redundancy check (CRC) to match the modifications to the message.
6 CVE-2001-1469 2001-01-18 2008-09-05
5.0
None Remote Low Not required None Partial None
The RC4 stream cipher as used by SSH1 allows remote attackers to modify messages without detection by XORing the original message's cyclic redundancy check (CRC) with the CRC of a mask consisting of all the bits of the original message that were modified.
7 CVE-2001-1464 2001-01-10 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
Crystal Reports, when displaying data for a password protected database using HTML pages, embeds the username and password in cleartext in the HTML page and the URL, which allows remote attackers to obtain passwords.
8 CVE-2001-1436 2001-01-18 2008-09-05
4.6
User Local Low Not required Partial Partial Partial
Dallas Semiconductor iButton DS1991 returns predictable values when given an incorrect password, which makes it easier for users with physical access to conduct dictionary attacks against the device password.
9 CVE-2001-1422 Bypass 2001-01-23 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
WinVNC 3.3.3 and earlier generates the same challenge string for multiple connections, which allows remote attackers to bypass VNC authentication by sniffing the challenge and response of other users.
10 CVE-2001-1416 XSS 2001-01-18 2008-09-05
5.1
None Remote High Not required Partial Partial Partial
Multiple cross-site scripting (XSS) vulnerabilities in the log messages in certain Alpha versions of AOL Instant Messenger (AIM) 4.4 allow remote attackers to execute arbitrary web script or HTML via an image in the (1) DATA, (2) STYLE, or (3) BINARY tags.
11 CVE-2001-1385 2001-01-12 2008-09-10
5.0
None Remote Low Not required Partial None None
The Apache module for PHP 4.0.0 through PHP 4.0.4, when disabled with the 'engine = off' option for a virtual host, may disable PHP for other virtual hosts, which could cause Apache to serve the source code of PHP scripts.
12 CVE-2001-1275 +Priv 2001-01-19 2008-09-05
7.2
Admin Local Low Not required Complete Complete Complete
MySQL before 3.23.31 allows users with a MySQL account to use the SHOW GRANTS command to obtain the encrypted administrator password from the mysql.user table and possibly gain privileges via password cracking.
13 CVE-2001-1274 DoS Overflow +Priv 2001-01-23 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
Buffer overflow in MySQL before 3.23.31 allows attackers to cause a denial of service and possibly gain privileges.
14 CVE-2001-1044 +Info 2001-01-11 2008-09-05
7.5
None Remote Low Not required Partial Partial Partial
Basilix Webmail 0.9.7beta, and possibly other versions, stores *.class and *.inc files under the document root and does not restrict access, which could allows remote attackers to obtain sensitive information such as MySQL passwords and usernames from the mysql.class file.
15 CVE-2001-1037 Exec Code 2001-01-08 2008-09-05
4.6
None Local Low Not required Partial Partial Partial
Cisco SN 5420 Storage Router 1.1(3) and earlier allows local users to access a developer's shell without a password and execute certain restricted commands without being logged.
16 CVE-2001-0163 2001-01-01 2008-09-05
4.6
User Local Low Not required Partial Partial Partial
Cisco AP340 base station produces predictable TCP Initial Sequence Numbers (ISNs), which allows remote attackers to spoof or hijack TCP connections.
17 CVE-2001-0162 2001-01-01 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
WinCE 3.0.9348 generates predictable TCP Initial Sequence Numbers (ISNs), which allows remote attackers to spoof or hijack TCP connections.
18 CVE-2001-0161 2001-01-01 2008-09-05
5.0
None Remote Low Not required Partial None None
Cisco 340-series Aironet access point using firmware 11.01 does not use 6 of the 24 available IV bits for WEP encryption, which makes it easier for remote attackers to mount brute force attacks.
19 CVE-2001-0160 2001-01-01 2008-09-05
5.0
None Remote Low Not required Partial None None
Lucent/ORiNOCO WaveLAN cards generate predictable Initialization Vector (IV) values for the Wireless Encryption Protocol (WEP) which allows remote attackers to quickly compile information that will let them decrypt messages.
20 CVE-2000-1189 Overflow +Priv 2001-01-09 2008-09-05
7.2
Admin Local Low Not required Complete Complete Complete
Buffer overflow in pam_localuser PAM module in Red Hat Linux 7.x and 6.x allows attackers to gain privileges.
21 CVE-2000-1188 Dir. Trav. 2001-01-09 2008-09-10
5.0
None Remote Low Not required Partial None None
Directory traversal vulnerability in Quikstore shopping cart program allows remote attackers to read arbitrary files via a .. (dot dot) attack in the "page" parameter.
22 CVE-2000-1187 Exec Code Overflow 2001-01-09 2008-09-05
7.5
None Remote Low Not required Partial Partial Partial
Buffer overflow in the HTML parser for Netscape 4.75 and earlier allows remote attackers to execute arbitrary commands via a long password value in a form field.
23 CVE-2000-1186 Exec Code Overflow 2001-01-09 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
Buffer overflow in phf CGI program allows remote attackers to execute arbitrary commands by specifying a large number of arguments and including a long MIME header.
24 CVE-2000-1185 DoS 2001-01-09 2008-09-05
5.0
None Remote Low Not required None None Partial
The telnet proxy in RideWay PN proxy server allows remote attackers to cause a denial of service via a flood of connections that contain malformed requests.
25 CVE-2000-1184 DoS 2001-01-09 2008-09-05
5.0
None Remote Low Not required None None Partial
telnetd in FreeBSD 4.2 and earlier, and possibly other operating systems, allows remote attackers to cause a denial of service by specifying an arbitrary large file in the TERMCAP environmental variable, which consumes resources as the server processes the file.
26 CVE-2000-1183 Exec Code Overflow 2001-01-09 2008-09-10
7.2
Admin Local Low Not required Complete Complete Complete
Buffer overflow in socks5 server on Linux allows attackers to execute arbitrary commands via a long connection request.
27 CVE-2000-1182 DoS 2001-01-09 2008-09-05
5.0
None Remote Low Not required None None Partial
WatchGuard Firebox II allows remote attackers to cause a denial of service by flooding the Firebox with a large number of FTP or SMTP requests, which disables proxy handling.
28 CVE-2000-1181 +Info 2001-01-09 2008-09-05
5.0
None Remote Low Not required Partial None None
Real Networks RealServer 7 and earlier allows remote attackers to obtain portions of RealServer's memory contents, possibly including sensitive information, by accessing the /admin/includes/ URL.
29 CVE-2000-1180 Overflow +Priv 2001-01-09 2008-09-05
4.6
User Local Low Not required Partial Partial Partial
Buffer overflow in cmctl program in Oracle 8.1.5 Connection Manager Control allows local users to gain privileges via a long command line argument.
30 CVE-2000-1179 2001-01-09 2008-09-05
5.0
None Remote Low Not required Partial None None
Netopia ISDN Router 650-ST before 4.3.5 allows remote attackers to read system logs without authentication by directly connecting to the login screen and typing certain control characters.
31 CVE-2000-1178 2001-01-09 2008-09-05
2.1
None Local Low Not required None Partial None
Joe text editor follows symbolic links when creating a rescue copy called DEADJOE during an abnormal exit, which allows local users to overwrite the files of other users whose joe session crashes.
32 CVE-2000-1177 2001-01-09 2008-09-05
5.0
None Remote Low Not required Partial None None
bb-hist.sh, bb-histlog.sh, bb-hostsvc.sh, bb-rep.sh, bb-replog.sh, and bb-ack.sh in Big Brother (BB) before 1.5d3 allows remote attackers to determine the existence of files and user ID's by specifying the target file in the HISTFILE parameter.
33 CVE-2000-1176 Dir. Trav. 2001-01-09 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
Directory traversal vulnerability in YaBB search.pl CGI script allows remote attackers to read arbitrary files via a .. (dot dot) attack in the "catsearch" form field.
34 CVE-2000-1175 Exec Code Overflow 2001-01-09 2008-09-05
7.2
Admin Local Low Not required Complete Complete Complete
Buffer overflow in Koules 1.4 allows local users to execute arbitrary commands via a long command line argument.
35 CVE-2000-1174 Exec Code Overflow 2001-01-09 2008-09-05
7.5
None Remote Low Not required Partial Partial Partial
Multiple buffer overflows in AFS ACL parser for Ethereal 0.8.13 and earlier allows remote attackers to execute arbitrary commands via a packet with a long username.
36 CVE-2000-1173 +Info 2001-01-09 2008-09-05
5.0
None Remote Low Not required Partial None None
Microsys CyberPatrol uses weak encryption (trivial encoding) for credit card numbers and uses no encryption for the remainder of the information during registration, which could allow attackers to sniff network traffic and obtain this sensitive information.
37 CVE-2000-1172 DoS Exec Code Overflow 2001-01-09 2008-09-05
10.0
Admin Remote Low Not required Complete Complete Complete
Buffer overflow in Gaim 0.10.3 and earlier using the OSCAR protocol allows remote attackers to conduct a denial of service and possibly execute arbitrary commands via a long HTML tag.
38 CVE-2000-1171 Dir. Trav. 2001-01-09 2008-09-05
5.0
None Remote Low Not required Partial None None
Directory traversal vulnerability in cgiforum.pl script in CGIForum 1.0 allows remote attackers to ready arbitrary files via a .. (dot dot) attack in the "thesection" parameter.
39 CVE-2000-1170 Exec Code Overflow 2001-01-09 2008-09-05
7.5
None Remote Low Not required Partial Partial Partial
Buffer overflow in Netsnap webcam HTTP server before 1.2.9 allows remote attackers to execute arbitrary commands via a long GET request.
40 CVE-2000-1169 2001-01-09 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
OpenSSH SSH client before 2.3.0 does not properly disable X11 or agent forwarding, which could allow a malicious SSH server to gain access to the X11 display and sniff X11 events, or gain access to the ssh-agent.
41 CVE-2000-1168 DoS Exec Code 2001-01-09 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
IBM HTTP Server 1.3.6 (based on Apache) allows remote attackers to cause a denial of service and possibly execute arbitrary commands via a long GET request.
42 CVE-2000-1167 2001-01-09 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
ppp utility in FreeBSD 4.1.1 and earlier does not properly restrict access as specified by the "nat deny_incoming" command, which allows remote attackers to connect to the target system.
43 CVE-2000-1166 2001-01-09 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
Twig webmail system does not properly set the "vhosts" variable if it is not configured on the site, which allows remote attackers to insert arbitrary PHP (PHP3) code by specifying an alternate vhosts as an argument to the index.php3 program.
44 CVE-2000-1165 DoS 2001-01-09 2011-02-04
5.0
None Remote Low Not required None None Partial
Balabit syslog-ng allows remote attackers to cause a denial of service (application crash) via a malformed log message that does not have a closing > in the priority specifier.
45 CVE-2000-1164 2001-01-09 2008-09-05
9.0
Admin Remote Low Single system Complete Complete Complete
WinVNC installs the WinVNC3 registry key with permissions that give Special Access (read and modify) to the Everybody group, which allows users to read and modify sensitive information such as passwords and gain access to the system.
46 CVE-2000-1163 Exec Code 2001-01-09 2008-09-05
4.6
User Local Low Not required Partial Partial Partial
ghostscript before 5.10-16 uses an empty LD_RUN_PATH environmental variable to find libraries in the current directory, which could allow local users to execute commands as other users by placing a Trojan horse library into a directory from which another user executes ghostscript.
47 CVE-2000-1162 2001-01-09 2008-09-05
3.7
None Local High Not required Partial Partial Partial
ghostscript before 5.10-16 allows local users to overwrite files of other users via a symlink attack.
48 CVE-2000-1161 2001-01-09 2008-09-05
7.5
User Remote Low Not required Partial Partial Partial
The installation of AdCycle banner management system leaves the build.cgi program in a web-accessible directory, which allows remote attackers to execute the program and view passwords or delete databases.
49 CVE-2000-1160 DoS 2001-01-09 2008-09-05
5.0
None Remote Low Not required None None Partial
NAI Sniffer Agent allows remote attackers to cause a denial of service (crash) by sending a large number of login requests.
50 CVE-2000-1159 +Priv 2001-01-09 2008-09-05
7.5
None Remote Low Not required Partial Partial Partial
NAI Sniffer Agent allows remote attackers to gain privileges on the agent by sniffing the initial UDP authentication packets and spoofing commands.
Total number of vulnerabilities : 130   Page : 1 (This Page)2 3
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.